summaryrefslogtreecommitdiff
path: root/dev-python/django-auditlog
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-21 07:21:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-21 07:21:48 +0000
commiteb713a2e58ad2c091a27fa052d98924ca7f51a86 (patch)
treed069ca20696094c25142d207a4791070a6625ec2 /dev-python/django-auditlog
parent917e7b831db1cb3af64f44da46900caf5caae224 (diff)
downloadbaldeagleos-repo-eb713a2e58ad2c091a27fa052d98924ca7f51a86.tar.gz
baldeagleos-repo-eb713a2e58ad2c091a27fa052d98924ca7f51a86.tar.xz
baldeagleos-repo-eb713a2e58ad2c091a27fa052d98924ca7f51a86.zip
Adding metadata
Diffstat (limited to 'dev-python/django-auditlog')
-rw-r--r--dev-python/django-auditlog/Manifest1
-rw-r--r--dev-python/django-auditlog/django-auditlog-3.0.0.ebuild53
-rw-r--r--dev-python/django-auditlog/metadata.xml10
3 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/django-auditlog/Manifest b/dev-python/django-auditlog/Manifest
new file mode 100644
index 000000000000..98800a1be084
--- /dev/null
+++ b/dev-python/django-auditlog/Manifest
@@ -0,0 +1 @@
+DIST django-auditlog-3.0.0.gh.tar.gz 61443 BLAKE2B 44d4ddf157664dbbf716871ca4b39908ea77069dccbf4681fd93b563ba06213e55581767f9c0bf2267a4fe00c0e3477aaf66b8812f78d3a9d75383fa20158aee SHA512 7725451674b82b96dcc3765844d9a3c1e4cb2a5bc71ab5466516b1a787310a4acc64049d6eb8b4c2f4ed1ceb53e32a3289b3c064514828307c82001d973c0145
diff --git a/dev-python/django-auditlog/django-auditlog-3.0.0.ebuild b/dev-python/django-auditlog/django-auditlog-3.0.0.ebuild
new file mode 100644
index 000000000000..eac5e01fa839
--- /dev/null
+++ b/dev-python/django-auditlog/django-auditlog-3.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Audit log app for Django"
+HOMEPAGE="https://github.com/jazzband/django-auditlog"
+SRC_URI="https://github.com/jazzband/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/django[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-db/postgresql[server]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx-rtd-theme
+
+python_test() {
+ local db="${T}/pgsql"
+
+ initdb --username=postgres -D "${db}" || die
+ pg_ctl -w -D "${db}" start \
+ -o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+ psql -h "${T}" -U postgres -d postgres \
+ -c "ALTER ROLE postgres WITH PASSWORD '';" || die
+ createdb -h "${T}" -U postgres auditlog || die
+
+ "${EPYTHON}" -m django test -v2 --settings=auditlog_tests.test_settings || die "Tests fail with ${EPYTHON}"
+
+ pg_ctl -w -D "${db}" stop || die
+}
diff --git a/dev-python/django-auditlog/metadata.xml b/dev-python/django-auditlog/metadata.xml
new file mode 100644
index 000000000000..a2df676e20ae
--- /dev/null
+++ b/dev-python/django-auditlog/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>core@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
+
+ <origin>ports</origin>
+</pkgmetadata> \ No newline at end of file